# ForegroundStyle class

Configuration of the appearance for foreground elements (e.g. text and/or icons, etc).

## Constructors

ForegroundStyle.new({bool iconVisible = true, ScanbotColor? color, bool useShadow = false})
ForegroundStyle.fromJson(Map<String, dynamic> json)
  factory

## Properties

color ↔ ScanbotColor
  The color used for foreground elements.
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
iconVisible ↔ bool
  Determines whether the icon is visible or not.
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
useShadow ↔ bool
  Determines whether to use drop shadows for foreground elements.
  getter/setter pair

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson({ToJsonConfiguration? config}) → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited